RDKit: ForceFields::ForceFieldContrib Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | Friends | List of all members
ForceFields::ForceFieldContrib Class Referenceabstract

abstract base class for contributions to ForceFields More...

`#include <Contrib.h>`

Inheritance diagram for ForceFields::ForceFieldContrib:

## Public Member Functions
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()
virtual double | getEnergy (double *pos) const =0
| returns our contribution to the energy of a position
virtual void | getGrad (double *pos, double *grad) const =0
| calculates our contribution to the gradients of a position
virtual ForceFieldContrib * | copy () const =0
| return a copy

## Protected Attributes
ForceField * | dp_forceField {nullptr}
| our owning ForceField

## Friends
class | ForceField

## Detailed Description

abstract base class for contributions to ForceFields

Definition at line 18 of file Contrib.h.

## Constructor & Destructor Documentation

## ◆ ForceFieldContrib() [1/2]

ForceFields::ForceFieldContrib::ForceFieldContrib | ( |  | ) |
| inline

Definition at line 22 of file Contrib.h.

Referenced by copy().

## ◆ ForceFieldContrib() [2/2]

ForceFields::ForceFieldContrib::ForceFieldContrib | ( | ForceFields::ForceField * | owner | ) |
| inline

Definition at line 23 of file Contrib.h.

References dp_forceField.

## ◆ ~ForceFieldContrib()

virtual ForceFields::ForceFieldContrib::~ForceFieldContrib | ( |  | ) |
| inlinevirtual

Definition at line 24 of file Contrib.h.

## Member Function Documentation

## ◆ copy()

virtual ForceFieldContrib * ForceFields::ForceFieldContrib::copy | ( |  | ) | const
| pure virtual

return a copy

Implemented in DistGeom::ChiralViolationContribs, DistGeom::DistViolationContribs, DistGeom::FourthDimContribs, ForceFields::AngleConstraintContrib, ForceFields::AngleConstraintContribs, ForceFields::CrystalFF::TorsionAngleContribM6, ForceFields::CrystalFF::TorsionAngleContribs, ForceFields::DistanceConstraintContrib, ForceFields::DistanceConstraintContribs, ForceFields::MMFF::AngleBendContrib, ForceFields::MMFF::BondStretchContrib, ForceFields::MMFF::EleContrib, ForceFields::MMFF::NonbondedContrib, ForceFields::MMFF::OopBendContrib, ForceFields::MMFF::StretchBendContrib, ForceFields::MMFF::TorsionAngleContrib, ForceFields::MMFF::VdWContrib, ForceFields::PositionConstraintContrib, ForceFields::TorsionConstraintContrib, ForceFields::UFF::AngleBendContrib, ForceFields::UFF::BondStretchContrib, ForceFields::UFF::InversionContrib, ForceFields::UFF::InversionContribs, ForceFields::UFF::TorsionAngleContrib, and ForceFields::UFF::vdWContrib.

References ForceFieldContrib().

## ◆ getEnergy()

virtual double ForceFields::ForceFieldContrib::getEnergy | ( | double * | pos | ) | const
| pure virtual

returns our contribution to the energy of a position

Implemented in DistGeom::ChiralViolationContribs, DistGeom::DistViolationContribs, DistGeom::FourthDimContribs, ForceFields::AngleConstraintContrib, ForceFields::AngleConstraintContribs, ForceFields::CrystalFF::TorsionAngleContribM6, ForceFields::CrystalFF::TorsionAngleContribs, ForceFields::DistanceConstraintContrib, ForceFields::DistanceConstraintContribs, ForceFields::MMFF::AngleBendContrib, ForceFields::MMFF::BondStretchContrib, ForceFields::MMFF::EleContrib, ForceFields::MMFF::NonbondedContrib, ForceFields::MMFF::OopBendContrib, ForceFields::MMFF::StretchBendContrib, ForceFields::MMFF::TorsionAngleContrib, ForceFields::MMFF::VdWContrib, ForceFields::PositionConstraintContrib, ForceFields::TorsionConstraintContrib, ForceFields::UFF::AngleBendContrib, ForceFields::UFF::BondStretchContrib, ForceFields::UFF::InversionContrib, ForceFields::UFF::InversionContribs, ForceFields::UFF::TorsionAngleContrib, and ForceFields::UFF::vdWContrib.

## ◆ getGrad()

virtual void ForceFields::ForceFieldContrib::getGrad | ( | double * | pos,
|  | double * | grad ) const
| pure virtual

calculates our contribution to the gradients of a position

Implemented in DistGeom::ChiralViolationContribs, DistGeom::DistViolationContribs, DistGeom::FourthDimContribs, ForceFields::AngleConstraintContrib, ForceFields::AngleConstraintContribs, ForceFields::CrystalFF::TorsionAngleContribM6, ForceFields::CrystalFF::TorsionAngleContribs, ForceFields::DistanceConstraintContrib, ForceFields::DistanceConstraintContribs, ForceFields::MMFF::AngleBendContrib, ForceFields::MMFF::BondStretchContrib, ForceFields::MMFF::EleContrib, ForceFields::MMFF::NonbondedContrib, ForceFields::MMFF::OopBendContrib, ForceFields::MMFF::StretchBendContrib, ForceFields::MMFF::TorsionAngleContrib, ForceFields::MMFF::VdWContrib, ForceFields::PositionConstraintContrib, ForceFields::TorsionConstraintContrib, ForceFields::UFF::AngleBendContrib, ForceFields::UFF::BondStretchContrib, ForceFields::UFF::InversionContrib, ForceFields::UFF::InversionContribs, ForceFields::UFF::TorsionAngleContrib, and ForceFields::UFF::vdWContrib.

## Friends And Related Symbol Documentation

## ◆ ForceField

friend class ForceField
| friend

Definition at line 20 of file Contrib.h.

References ForceField.

Referenced by ForceFields::MMFF::AngleBendContrib::AngleBendContrib(), ForceFields::UFF::AngleBendContrib::AngleBendContrib(), ForceFields::AngleConstraintContrib::AngleConstraintContrib(), ForceFields::AngleConstraintContrib::AngleConstraintContrib(), ForceFields::AngleConstraintContribs::AngleConstraintContribs(), ForceFields::MMFF::BondStretchContrib::BondStretchContrib(), ForceFields::UFF::BondStretchContrib::BondStretchContrib(), ForceFields::DistanceConstraintContrib::DistanceConstraintContrib(), ForceFields::DistanceConstraintContrib::DistanceConstraintContrib(), ForceFields::DistanceConstraintContribs::DistanceConstraintContribs(), ForceFields::MMFF::EleContrib::EleContrib(), ForceField, ForceFields::UFF::InversionContrib::InversionContrib(), ForceFields::UFF::InversionContribs::InversionContribs(), ForceFields::MMFF::NonbondedContrib::NonbondedContrib(), ForceFields::MMFF::OopBendContrib::OopBendContrib(), ForceFields::PositionConstraintContrib::PositionConstraintContrib(), ForceFields::MMFF::StretchBendContrib::StretchBendContrib(), ForceFields::MMFF::TorsionAngleContrib::TorsionAngleContrib(), ForceFields::UFF::TorsionAngleContrib::TorsionAngleContrib(), ForceFields::CrystalFF::TorsionAngleContribs::TorsionAngleContribs(), ForceFields::TorsionConstraintContrib::TorsionConstraintContrib(), ForceFields::TorsionConstraintContrib::TorsionConstraintContrib(), ForceFields::MMFF::VdWContrib::VdWContrib(), and ForceFields::UFF::vdWContrib::vdWContrib().

## Member Data Documentation

## ◆ dp_forceField

ForceField* ForceFields::ForceFieldContrib::dp_forceField {nullptr}
| protected

our owning ForceField

Definition at line 36 of file Contrib.h.

Referenced by ForceFieldContrib(), and DistGeom::FourthDimContribs::FourthDimContribs().

The documentation for this class was generated from the following file:

- Contrib.h